GET task members
curl --request GET \
--url https://api.projectcor.com/v1/tasks/{task_id}/members \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.projectcor.com/v1/tasks/{task_id}/members"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.projectcor.com/v1/tasks/{task_id}/members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.projectcor.com/v1/tasks/{task_id}/members';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.projectcor.com/v1/tasks/{task_id}/members",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.projectcor.com/v1/tasks/{task_id}/members"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}[
{
"id": 123,
"first_name": "<string>",
"last_name": "<string>",
"picture": "<string>",
"email": "jsmith@example.com",
"cuil": "<string>",
"remaining_hours": 123,
"user_position_id": 123,
"role_id": 123,
"daily_hours": 123,
"plan_id": 123,
"plan_name": "<string>",
"hidden": true,
"position_name": "<string>",
"category_id": 123,
"category_name": "<string>",
"gmt": "-03:00",
"leaves": [
{
"id": 123,
"user_id": 123,
"company_id": 123,
"leave_type_id": 123,
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"all_day": true,
"leaveType": {
"id": 123,
"name": "<string>",
"type_code": "<string>",
"company_id": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"icon_name": "<string>"
}
}
],
"labels": [
{
"id": 123,
"hex": "<string>",
"hsl": "<string>",
"rgb": "<string>",
"lang": "<string>",
"name": "<string>",
"color_id": 123
}
]
}
]Task Members
GET task members
GET
/
tasks
/
{task_id}
/
members
GET task members
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
200 - application/json
List of task members
URL to user's profile picture
1=C-Level, 2=Director, 3=Project Manager, 4=Collaborator, 5=Freelancer, 6=Client
4=Project Management, 5=Capacity Planning
UTC offset from the user's last login location. Indicates the timezone configured at their last login.
Example:
"-03:00"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I

